@echo off

IF "%1" EQU "" goto :usage
IF "%2" EQU "" goto :usage
IF "%3" EQU "" goto :usage

SET DB=%1
SET USR=%2
SET PWRD=%3

db2 connect to %DB% user %USR% using %PWRD%
if %ERRORLEVEL%  NEQ   0 goto :error_connect

db2 DROP PROCEDURE SP_QUARTERLY_REPORT
db2 CREATE PROCEDURE SP_QUARTERLY_REPORT(IN ids LONG VARCHAR, IN type INTEGER, IN start_date LONG VARCHAR, IN finish_date LONG VARCHAR, IN rec_user LONG VARCHAR) EXTERNAL NAME '%DB2TEMPDIR%\function\pmoffice!SP_QUARTERLY_REPORT' LANGUAGE C NOT DETERMINISTIC PARAMETER STYLE GENERAL WITH NULLS


db2 connect reset
goto :done

@echo off
:usage
echo usage: createsp database username userpassword
@echo off

:error_connect
echo One of the parameters specified to connect to the database is incorrect
@echo off

:done
