-- **************************************************************************
-- PURPOSE:Patch for 6.002
-- **************************************************************************
connect owner/ownerpass
set echo on
spool logs/step1.log

ALTER SESSION SET NLS_DATE_FORMAT='YYYY-MM-DD';

ALTER SESSION SET NLS_TIMESTAMP_FORMAT ='YYYY-MM-DD HH24:MI:SS.FF6';
COMMIT WORK;


-- ====================
-- create new objects
-- ====================
@oraddl/TempTable.ddl
@oraddl/TempTableIdx.ddl
@oraddl/Lev_TempTable.ddl
   
-- ===========
-- oraddl
-- ===========
@oraddl/PMO_STPU.bdy

-- =========
-- csp
-- =========

@csp/views_financial.sql

COMMIT WORK;	

@utils/recompile.sql
@utils/recompile.sql

spool off;
exit;
